Version 4.0.26.22 (latest)

### Get information about the permission set with a specific id.

## Request

GET /permission_sets/{permission_set_id} Datatype Description Request HTTP Request path HTTP Path Expand HTTP Path definition... permission_set_id string Id of permission set query HTTP Query Expand HTTP Query definition... fields string Requested fields.

## Response

### 200: Permission Set

Datatype Description (object) [PermissionSet](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/PermissionSet) can object Operations the current user is able to perform on this object all_access boolean built_in boolean id string Unique Id name string Name of PermissionSet permissions string\[\] url string Link to get this item

### 400: Bad Request

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 404: Not Found

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

### 429: Too Many Requests

Datatype Description (object) [Error](https://docs.cloud.google.com/looker/docs/reference/looker-api/latest/types/Error) message string Error details documentation_url string Documentation link

## Examples

### Kotlin


|---|
| [https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt](https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt#L417 "https://github.com/looker-open-source/sdk-codegen/blob/main/kotlin/src/test/TestMethods.kt") |